#!/bin/bash

readonly wanted_packages=(
  git
  svn
  zsh
  nvim
  tmux
  curl
  wget
)

missing_packages=()

for package in "${wanted_packages[@]}"; do 
  if ! command -v "${package}" > /dev/null ; then 
    missing_packages+=("${package}")
  fi
done

if [[ ${#missing_packages[@]} -gt 0 ]]; then 
  >&2 echo "missing packages ${missing_packages[*]}"
  exit 1
fi 
